QueryParserTestBase.QPTestParser (Lucene 3.6.2 API)
Keywords: org.apache.lucene.queryParser.QueryParserTestBase.QPTestParser class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.queryParser
Class QueryParserTestBase.QPTestParser

    java.lang.Object
      org.apache.lucene.queryParser.QueryParser
          org.apache.lucene.queryParser.QueryParserTestBase.QPTestParser

All Implemented Interfaces:
  org.apache.lucene.queryParser.QueryParserConstants

Enclosing class:
  QueryParserTestBase

    public static class QueryParserTestBase.QPTestParser

extends org.apache.lucene.queryParser.QueryParser

Test QueryParser that does not allow fuzzy or wildcard queries.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.queryParser.QueryParser
`org.apache.lucene.queryParser.QueryParser.Operator`

Field Summary

Fields inherited from class org.apache.lucene.queryParser.QueryParser
`AND_OPERATOR, jj_nt, OR_OPERATOR, token, token_source`

Fields inherited from interface org.apache.lucene.queryParser.QueryParserConstants
`_ESCAPED_CHAR, _NUM_CHAR, _QUOTED_CHAR, _TERM_CHAR, _TERM_START_CHAR, _WHITESPACE, AND, BAREOPER, Boost, CARAT, COLON, DEFAULT, EOF, FUZZY_SLOP, LPAREN, MINUS, NOT, NUMBER, OR, PLUS, PREFIXTERM, QUOTED, RangeEx, RANGEEX_END, RANGEEX_GOOP, RANGEEX_QUOTED, RANGEEX_START, RANGEEX_TO, RangeIn, RANGEIN_END, RANGEIN_GOOP, RANGEIN_QUOTED, RANGEIN_START, RANGEIN_TO, RPAREN, STAR, TERM, tokenImage, WILDTERM`

Constructor Summary
`QueryParserTestBase.QPTestParser(String f, org.apache.lucene.analysis.Analyzer a)`

Method Summary
`protected org.apache.lucene.search.Query` | `getFuzzyQuery(String field, String termStr, float minSimilarity)`
`protected org.apache.lucene.search.Query` | `getWildcardQuery(String field, String termStr)`

Methods inherited from class org.apache.lucene.queryParser.QueryParser
`addClause, Clause, Conjunction, disable_tracing, enable_tracing, escape, generateParseException, getAllowLeadingWildcard, getAnalyzer, getAutoGeneratePhraseQueries, getBooleanQuery, getBooleanQuery, getDateResolution, getDefaultOperator, getEnablePositionIncrements, getField, getFieldQuery, getFieldQuery, getFieldQuery, getFuzzyMinSim, getFuzzyPrefixLength, getLocale, getLowercaseExpandedTerms, getMultiTermRewriteMethod, getNextToken, getPhraseSlop, getPrefixQuery, getRangeCollator, getRangeQuery, getToken, main, Modifiers, newBooleanClause, newBooleanQuery, newFuzzyQuery, newMatchAllDocsQuery, newMultiPhraseQuery, newPhraseQuery, newPrefixQuery, newRangeQuery, newTermQuery, newWildcardQuery, parse, Query, ReInit, ReInit, setAllowLeadingWildcard, setAutoGeneratePhraseQueries, setDateResolution, setDateResolution, setDefaultOperator, setEnablePositionIncrements, setFuzzyMinSim, setFuzzyPrefixLength, setLocale, setLowercaseExpandedTerms, setMultiTermRewriteMethod, setPhraseSlop, setRangeCollator, Term, TopLevelQuery`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryParserTestBase.QPTestParser

    public QueryParserTestBase.QPTestParser(String f,
                                            org.apache.lucene.analysis.Analyzer a)

Method Detail

### getFuzzyQuery

    protected org.apache.lucene.search.Query getFuzzyQuery(String field,
                                                           String termStr,
                                                           float minSimilarity)
                                                    throws org.apache.lucene.queryParser.ParseException

  Overrides:
    `getFuzzyQuery` in class `org.apache.lucene.queryParser.QueryParser`
  Throws:
    `org.apache.lucene.queryParser.ParseException`

### getWildcardQuery

    protected org.apache.lucene.search.Query getWildcardQuery(String field,
                                                              String termStr)
                                                       throws org.apache.lucene.queryParser.ParseException

  Overrides:
    `getWildcardQuery` in class `org.apache.lucene.queryParser.QueryParser`
  Throws:
    `org.apache.lucene.queryParser.ParseException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD